# $Revision: 1.18 $, $Date: 2007/02/13 08:06:38 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	XML
%define		pnam	DOMHandler
Summary:	DOMHandler - implements a call-back interface to DOM
Summary(pl.UTF-8):	DOMHandler - implementacja interfejsu callbacków do DOM
Name:		perl-XML-DOMHandler
Version:	1.0
Release:	4
License:	unknown
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	6dd4dcfed53eb23976c82d097225b430
BuildRequires:	perl-devel >= 1:5.8.0
%if %{with tests}
BuildRequires:	perl-XML-LibXML
%endif
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module creates a layer on top of DOM that allows you to program
in a "push" style rather than "pull". Once the document has been
parsed and you have a DOM object, you can call on the DOMHandler's
traverse() method to apply a set of call-back routines to all the
nodes in a tree. You supply the routines in a handler package when
initializing the DOMHandler.

%description -l pl.UTF-8
Ten moduł tworzy warstwę powyżej DOM, pozwalającą na programowaniu w
stylu "pchnij" zamiast "ciągnij". Po przeanalizowaniu dokumentu i
uzyskaniu obiektu DOM, można wywołać metodę DOMHandlera traverse(),
aby zastosować zestaw callbacków na wszystkich węzłach w drzewie.
Funkcje przekazuje się przy inicjalizacji DOMHandlera.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_vendorlib}/%{pdir}/*.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-XML-DOMHandler.spec,v $
Revision 1.18  2007/02/13 08:06:38  glen
- tabs in preamble

Revision 1.17  2007/02/12 01:06:23  baggins
- converted to UTF-8

Revision 1.16  2004/11/03 22:30:54  paladine
- formatting

Revision 1.15  2004/05/07 01:12:28  ankry
- rel. 4

Revision 1.14  2004/05/06 18:21:27  ankry
- fixed perl-devel BR

Revision 1.13  2004/05/04 23:29:32  ankry
- license fix

Revision 1.12  2004/04/27 15:26:29  ankry
- new bconds

Revision 1.11  2004/04/15 19:46:36  ankry
- cosmetics, unification

Revision 1.10  2003/09/09 10:24:54  ankry
- spaces -> tab

Revision 1.9  2003/08/18 08:09:27  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.8  2003/05/28 13:01:13  malekith
- massive attack: source-md5

Revision 1.7  2003/05/25 06:25:10  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.6  2003/04/11 18:59:42  radek
- BR: perl-devel; do not BR: perl

Revision 1.5  2003/03/01 22:09:56  radek
- should be ready for perl-5.8.0; release++

Revision 1.4  2003/02/25 00:42:36  radek
- use the __perl macro

Revision 1.3  2003/02/18 15:39:11  ankry
- massive attack: change CPAN URLs

Revision 1.2  2002/08/31 12:21:47  qboosh
- pl description, release 2

Revision 1.1  2002/08/25 15:20:33  radek
- new, STBR
